## org.hibernate.engine.spi
Interface UnsavedValueStrategy

All Known Implementing Classes:
  IdentifierValue, VersionValue

    public interface UnsavedValueStrategy

The base contract for determining transient status versus detached status.

Method Summary
`Object` `getDefaultValue(Object currentValue)` Get a default value meant to indicate transience.
`Boolean` `isUnsaved(Object test)` Make the transient/detached determination

Method Detail

### isUnsaved

    Boolean isUnsaved(Object test)

  Make the transient/detached determination

  Parameters:
    `test` - The value to be tested
  Returns:
    `true` indicates the value corresponds to unsaved data (aka, transient state; `false` indicates the value does not corresponds to unsaved data (aka, detached state); `null` indicates that this strategy was not able to determine conclusively.

### getDefaultValue

    Object getDefaultValue(Object currentValue)

  Get a default value meant to indicate transience.

  Parameters:
    `currentValue` - The current state value.
  Returns:
    The default transience value.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.